#ifndef MLOOP_H
#define MLOOP_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

class MTaskList;
class MParList;

class MLoopEvt
{
private:
    MTaskList *fTasks;
    MParList  *fParlist;

public:
    MLoopEvt();
    ~MLoopEvt();

    void SetTaskList(MTaskList *t);
    void SetParList(MParList *p);

    void Eventloop(Int_t maxcnt=-1);

    ClassDef(MLoopEvt, 1)
};

#endif
